locale.h functions.
Evil

This header provides functions ported from Unix in locale.h. More...

## Macros

#define | LC_MESSAGES 1729
| New locale value, based on the one in libintl.h.

## Functions

EVIL_API char * | evil_setlocale (int category, const char *locale)
| Return the string associated to the given locale and category.

## Detailed Description

This header provides functions ported from Unix in locale.h.

## Macro Definition Documentation

## LC_MESSAGES

#define LC_MESSAGES 1729

New locale value, based on the one in libintl.h.

Since
  1.16

Referenced by evil_setlocale().

## Function Documentation

## evil_setlocale()

EVIL_API char * evil_setlocale | ( | int | category,
|  | const char * | locale )

Return the string associated to the given locale and category.

Parameters

  category | The category affected by locale.
  locale | The locale specifier.

Returns
  The string associated to the specified locale and category.

This function returns the string associated to `locale` and `category`. If `category` is LC_ALL, LC_COLLATE, LC_CTYPE, LC_MONETARY, LC_NUMERIC or LC_TIME, it just returns the standard setlocale() function. If `category` is LC_MESSAGES, then if `locale` is not `NULL`, errno is set to EINVAL and `NULL` is returned, otherwise the string <language>_<country> is returned. This string is a static buffer and must not be freed. It will also be rewritten each time `category` is LC_MESSAGES and `locale` is `NULL`.

Conformity: Non applicable.

Supported OS: Windows XP.

Since
  1.16

References LC_MESSAGES.